package com.keyware.composeanalysis;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.scheduling.annotation.EnableAsync;

@MapperScan("com.keyware.composeanalysis.mapper")
@SpringBootApplication
@EnableDiscoveryClient
@RefreshScope
@EnableAsync
public class ComposeAnalyzeApplication {

    public static void main(String[] args) {
        SpringApplication.run(ComposeAnalyzeApplication.class, args);
    }

}
