package com.keyware.composeanalysis.solr;

import lombok.Data;

/**
 * @author liuzongren
 * @date 2024/7/26
 */
@Data
public class VersionTreeNode {

    /**
     * 节点编号
     */
    private String id;

    /**
     * 父节点编号
     */
    private String pid;

    /**
     * 文件名称
     */
    private String name;

    /**
     * 是否是父节点
     */
    private Boolean isParent;

    /**
     * 文件的MD5
     */
    private String sourceFileMd5;

    /**
     * 文件在项目中的相对路径
     */
    private String fullPath;

}
