package com.keyware.composeanalysis.util;

import lombok.extern.log4j.Log4j2;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * @author liuzongren
 * @date 2024/7/30
 */
@Log4j2
public class IpUtil {

    public static String getHostIp() {
        try {
            return InetAddress.getLocalHost().getHostAddress();
        } catch (UnknownHostException e) {
            log.error(e.getMessage(), e);
        }
        return "127.0.0.1";
    }
}
