package com.keyware.composeanalysis.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author liuzongren
 * @date 2024/7/24
 * description  solr的配置中心
 */
@Component
@ConfigurationProperties(prefix = "solr")
public class SolrConfig {

    /**
     * 每次查询返回的最大行数
     */
    @Value("${solr.row:5}")
    private String ROWS;

    @Value("${solr.solrUrl}")
    private String solrUrl;

}
