package com.keyware.composeanalysis.constant;


/**
 * @Author liuzongren
 * @Description solrDB 数据库 常量
 * @Date 2024/7/24
 * @Param
 * @return
 **/
public interface SolrDBConst {


    /**
     * solr   versionTree 数据库名称 , 版本树 存储 开源项目的版本信息以及各个版本的文件目录信息
     */
    String VERSION_TREE = "versionTree";


    /**
     * solr   _SourceFileInfo 数据库后缀 , 开源项目-源代码信息  ,根据源文件MD5值的第一位进行区分
     */
    String CORE_NAME_SUFFIX_SOURCE_FILE_INFO = "_SourceFileInfo";


    /**
     * solr   SourceFileInfoTemp , 存储文件行特征信息
     */
    String CORE_NAME_SOURCE_FILE_INFO_TEMP =  "SourceFileInfoTemp";



}
